## org.apache.mahout.math.hadoop.similarity.cooccurrence
Class RowSimilarityJob

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.math.hadoop.similarity.cooccurrence.RowSimilarityJob

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public class RowSimilarityJob

extends AbstractJob

Nested Class Summary
`static class` `RowSimilarityJob.CooccurrencesMapper`
`static class` `RowSimilarityJob.CountObservationsMapper`
`static class` `RowSimilarityJob.MergeToTopKSimilaritiesReducer`
`static class` `RowSimilarityJob.MergeVectorsReducer`
`static class` `RowSimilarityJob.SimilarityReducer`
`static class` `RowSimilarityJob.SumObservationsReducer`
`static class` `RowSimilarityJob.UnsymmetrifyMapper`
`static class` `RowSimilarityJob.VectorNormMapper`

Field Summary
`static long` `NO_FIXED_RANDOM_SEED`
`static double` `NO_THRESHOLD`

Fields inherited from class org.apache.mahout.common.AbstractJob
`argMap, inputFile, inputPath, outputFile, outputPath, tempPath`

Constructor Summary
`RowSimilarityJob()`

Method Summary
`static void` `main(String[] args)`
`int` `run(String[] args)`

Methods inherited from class org.apache.mahout.common.AbstractJob

`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, buildOption, buildOption, getAnalyzerClassFromOption, getCLIOption, getConf, getDimensions, getFloat, getFloat, getGroup, getInputFile, getInputPath, getInt, getInt, getOption, getOption, getOption, getOptions, getOutputFile, getOutputPath, getOutputPath, getTempPath, getTempPath, hasOption, keyFor, maybePut, parseArguments, parseArguments, parseDirectories, prepareJob, prepareJob, prepareJob, prepareJob, setConf, setS3SafeCombinedInputPath, shouldRunNextPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_THRESHOLD

    public static final double NO_THRESHOLD

See Also:
  Constant Field Values

### NO_FIXED_RANDOM_SEED

    public static final long NO_FIXED_RANDOM_SEED

See Also:
  Constant Field Values

Constructor Detail

### RowSimilarityJob

    public RowSimilarityJob()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.